RedRavenApi reference
Save scenarios
Replace scenario items. Each item is an attack purpose bound to one policy. Set `enabled` to false to skip an item at run time. `maximum_multi_turn` is 1–15 (default 5).
Replace scenario items. Each item is an attack purpose bound to one policy. Set enabled to false to skip an item at run time. maximum_multi_turn is 1–15 (default 5).
Authorization
ApiKeyAuth OrganizationId X-API-Key<token>
Your RedRaven API key.
In: header
X-Organization-Id<token>
RedRaven organization UUID that scopes the API key.
In: header
Path Parameters
test_id*string
RedRaven test UUID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/scenarios" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "string", "items": [ { "id": "string", "scenario": "string", "policy": "string", "maximum_multi_turn": 5, "enabled": true } ]}Empty